Bug 317851 - Review Request: lklug-fonts - Font package for Sinhala (si_LK) language
Review Request: lklug-fonts - Font package for Sinhala (si_LK) language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 02:50 EDT by Rahul Bhalerao
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-18 00:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Bhalerao 2007-10-04 02:50:09 EDT
Spec URL: <http://rbhalera.fedorapeople.org/lklug-fonts/lklug-fonts.spec>
SRPM URL: <http://rbhalera.fedorapeople.org/lklug-fonts/lklug-fonts-0.2.2-1.fc8.src.rpm>
Description: This is a font package for lklug fonts which support sinhala language of Srilanka. This package is being split up from fonts-sinhala to reflect the upstream package name.
Comment 3 Parag AN(पराग) 2007-10-04 13:54:19 EDT
thanks for updates.
will review this.
Comment 4 Parag AN(पराग) 2007-10-04 23:34:48 EDT
we don't need fonts.cache-1 file. Remove it and submit updated package.
Comment 5 Jens Petersen 2007-10-08 01:54:53 EDT
Some comments:

- Can we move %build to between %prep and %install as usual?
- The License field should be GPLv2+.
- Is there a full url for the source?
- If you like you could use %fontname in %setup too.

Otherwise it looks ok to me.
Comment 7 Parag AN(पराग) 2007-10-11 23:15:05 EDT
I think License file is GPLv2.
Comment 8 Jens Petersen 2007-10-12 00:38:55 EDT
"license.txt" clearly says "version 2 of the License, or (at your option)
any later version".  But I am not sure where that file comes from (see below)?

We still need a source url, and now I noticed thatthe tarball seemd to be
created by us.  It would be better to use upstream files directly IMHO,
but they don't seem to release a .ttf file?

Can we build http://sinhala.cvs.sourceforge.net/sinhala/sinhala/fonts/lklug.sfd
with fontforge at buildtime?

Rahul, I suggest adding a reference to this review bug in the changelog too.
Comment 9 Rahul Bhalerao 2007-10-12 01:03:19 EDT
The license is certainly GPLv2 according to the COPYING file provided in the
upstream cvs.
http://sinhala.cvs.sourceforge.net/sinhala/sinhala/COPYING
Comment 10 Rahul Bhalerao 2007-10-12 01:14:02 EDT
BTW, just found .ttf file available as well from upstream.
http://sinhala.sourceforge.net/files/lklug.ttf
Comment 11 Jens Petersen 2007-10-12 01:49:39 EDT
(In reply to comment #9)
> The license is certainly GPLv2 according to the COPYING file provided in the
> upstream cvs.
> http://sinhala.cvs.sourceforge.net/sinhala/sinhala/COPYING

Yes and that file also says "version 2 or later", hence GPLv2+.
Comment 12 Jens Petersen 2007-10-15 23:32:21 EDT
I understand that upstream are not interested in accepting patches from
Fedora/Red Hat unfortunately so I think we have to keep our own source/
tarball for now.  Can we include the .sfd file in the srpm for now
until finds a new home?

It would be good to clarify the original of the license.txt file.
Comment 14 Parag AN(पराग) 2007-10-17 06:38:30 EDT
*This package contains Red Hat maintained internal tarball*
*License for this package is cvs checkout from upstream *

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e49de1140705e0ee97d851165516192c  lklug-0.2.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package which is from upstream CVS checkout.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.
Comment 15 Rahul Bhalerao 2007-10-17 06:52:22 EDT
New Package CVS Request
=======================
Package Name: lklug-fonts
Short Description: Font package for Sinhala (si_LK) language
Owners: rbhalera
Branches: devel
InitialCC: petersen
Cvsextras Commits: yes
Comment 16 Jens Petersen 2007-10-17 07:25:44 EDT
cvsadmin done

Note You need to log in before you can comment on or make changes to this bug.